#include "opener.h"
#include "opener_context.h"

/* Support for providing access to files. */

OpenerContext::OpenerContext(Opener *opener, Memory *memory)
: SimplePager(memory), _opener(opener)
{
}

FilePager *OpenerContext::open()
{
    return _opener->open(get_path());
}

char *OpenerContext::get_path()
{
    return _region->read();
}

// vim: tabstop=4 expandtab shiftwidth=4
