#pragma once

#include "file_pager.h"
#include "simple_pager.h"



/* Forward declaration. */

class Opener;



/* Support for indicating files to be opened. */

class OpenerContext : public SimplePager
{
protected:
    Opener *_opener;

public:
    explicit OpenerContext(Opener *opener, Memory *memory=NULL);

    FilePager *open();

    char *get_path();
};

// vim: tabstop=4 expandtab shiftwidth=4
